#include "StdAfx.h"
#include "TreeNode.h"

CTreeNode::CTreeNode(CPoint point, int weight, CTreeNode *parent) 
	: m_nWeight(weight), nodeLeft(NULL), nodeRight(NULL), m_point(point), nodeParent(parent)
{
}

CTreeNode::~CTreeNode()
{
	//if(nodeLeft)
	//	nodeLeft->~CTreeNode();
	//if(nodeRight)
	//	nodeRight->~CTreeNode();
}
